<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><title>R: sha2</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link rel="stylesheet" type="text/css" href="R.css">
</head><body>

<table width="100%" summary="page for sha2 {SparkR}"><tr><td>sha2 {SparkR}</td><td align="right">R Documentation</td></tr></table>

<h2>sha2</h2>

<h3>Description</h3>

<p>Calculates the SHA-2 family of hash functions of a binary column and
returns the value as a hex string.
</p>


<h3>Usage</h3>

<pre>
## S4 method for signature 'Column,numeric'
sha2(y, x)

sha2(y, x)
</pre>


<h3>Arguments</h3>

<table summary="R argblock">
<tr valign="top"><td><code>y</code></td>
<td>
<p>column to compute SHA-2 on.</p>
</td></tr>
<tr valign="top"><td><code>x</code></td>
<td>
<p>one of 224, 256, 384, or 512.</p>
</td></tr>
</table>


<h3>See Also</h3>

<p>Other misc_funcs: <code><a href="crc32.html">crc32</a></code>, <code><a href="crc32.html">crc32</a></code>;
<code><a href="md5.html">md5</a></code>, <code><a href="md5.html">md5</a></code>; <code><a href="sha1.html">sha1</a></code>,
<code><a href="sha1.html">sha1</a></code>
</p>


<h3>Examples</h3>

<pre>
## Not run: sha2(df$c, 256)
</pre>

<hr><div align="center">[Package <em>SparkR</em> version 1.6.1 <a href="00Index.html">Index</a>]</div>
</body></html>
